IntelliCAD 11.1 Object Library
Mirror Method
See Also 
Point1
Point object representing the first point of the line used as the axis for mirroring.
Point2
Point object representing the second point of the line used as the axis for mirroring.
MakeCopy
Boolean value indicating whether or not to mirror the original object or a copy of the original object.
MText Object : Mirror Method

Description

Mirrors an object about an axis defined by two points.

Syntax

Visual Basic
Public Function Mirror( _
   ByVal Point1 As Point, _
   ByVal Point2 As Point, _
   Optional ByVal MakeCopy As Boolean = True _
) As Entity

Parameters

Point1
Point object representing the first point of the line used as the axis for mirroring.
Point2
Point object representing the second point of the line used as the axis for mirroring.
MakeCopy
Boolean value indicating whether or not to mirror the original object or a copy of the original object.

Example

Private Sub Mirror_Example()

     Dim myArc As IntelliCAD.Arc

     Dim cenPt As IntelliCAD.Point

     Dim mirrorObj As IntelliCAD.Arc

     Set cenPt = Library.CreatePoint(4, 3)

     'Add the arc to the .dwg

     Set myArc = ThisDocument.ModelSpace.AddArc(cenPt, 4, 1, 3)

     ' Display the entity

     myArc.Update

     ThisDocument.Application.ZoomExtents

     'MsgBox "x = " & myArc.startpoint.x & " y = " & myArc.startpoint.y & " x = " & myArc.endpoint.x & " y = " & myArc.endpoint.y

     'MsgBox "rad pt x = " & myArc.center.x & "rad pt y = " & myArc.center.y

     Set mirrorObj = myArc.Mirror(myArc.startpoint, myArc.endpoint)

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.